/*
APPENDIX A
"elscoder.h":  include file for ELS-coder.
*/

#ifndef ELSCODER_H
#define ELSCODER_H
#include <stdio.h>

typedef unsigned char	rung_t;

/* Initialize decoding. */
void decode_start(FILE *file);
/* Decode a single bit. */
int	decode_bit(rung_t *rung);
/* Perform consistency check prior to ending decoding. */
int decode_ok(void);
/* Conclude decoding. */
void decode_end(void);
/* Initialize encoding. */
void encode_start(FILE *file);
/* Encode a single bit. */
void encode_bit(rung_t *rung, int bit);
/* Conclude encoding. */
void encode_end(void);
#endif /* ndef ELSCODER_H */
